import nox


@nox.session
def user_manual(session: nox.Session):
    session.chdir("user_manual")
    session.install("-r", "requirements.txt")

    if "--clean" in session.posargs:
        session.run("make", "clean", external=True)

    session.run("make", "html", external=True)
