from .api import real_t, Vector3, GhostLayerFieldPtr, glfield, IBlockPtr
from .postprocessing import CaptureToClass
from .sweep import Sweep
from .build_config import WalberlaBuildConfig

__all__ = [
    "real_t",
    "Vector3",
    "GhostLayerFieldPtr",
    "glfield",
    "IBlockPtr",
    "CaptureToClass",
    "Sweep",
    "WalberlaBuildConfig",
]

from . import _version

__version__ = _version.get_versions()["version"]
